/*
 * Tiles.h
 */

/*
 * Tile definitions
 */
#define FREE		 0		/* Order is important!      */
#define ENEMY		 1
#define FLAG		 2
#define MARSHAL		 3
#define GENERAL		 4
#define COLONEL		 5
#define MAJOR		 6
#define CAPTAIN		 7
#define LIEUTENANT	 8
#define SERGEANT	 9
#define MINER		10
#define SCOUT		11
#define SPY		12
#define BOMB		13
#define MAX_TILES	14

#define BOAT_CURSOR	(MAX_TILES)
#define BOARD_CURSOR	(MAX_TILES + 1)
#define ACCOUNT_CURSOR	(MAX_TILES + 2)
#define MAX_CURSORS	 3

#define WATER		MAX_TILES	/* Extra board values */
#define MAX_PIECES	12		/* # different playable tiles */

#define TILE_WIDTH	35
#define TILE_HEIGHT	43

typedef struct tile_s {
	int     value;			/* Tile value                 */
	char   *name;			/* Name of tile 	      */
	char   *bitmap;			/* Bitmap of tile             */
	char   *stippled_bitmap;	/* Stippled bitmap of tile    */
	char   *bitmap_mask;		/* Bitmap mask of tile        */
	Pixmap  pixmap;			/* Pixmap of tile             */
	Pixmap  stippled_pixmap;	/* Pixmap of tile             */
	Cursor  cursor;			/* Cursor format of tile      */
	int     hotspot_x, hotspot_y;	/* Cursor Hotspot	      */
	int     width, height;		/* Size of cursor/tile        */
	int     available;		/* # tiles available in game  */
	int	count;			/* # tiles hit/put on board   */
	Widget  box_widget;		/* TilePosition in Tiles      */
	Widget  bitmap_widget;		/* TileBitmap in TilePosition */
	Widget  count_widget;		/* TileCount  in TilePosition */
} TILE;

extern TILE tiles[MAX_TILES + MAX_CURSORS];
